List file import feeds
curl --request GET \
--url https://api.statisfy.com/v1/integrations/imports/feeds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.statisfy.com/v1/integrations/imports/feeds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.statisfy.com/v1/integrations/imports/feeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/integrations/imports/feeds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/integrations/imports/feeds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.statisfy.com/v1/integrations/imports/feeds")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/integrations/imports/feeds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"active": true,
"columns": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_import": {
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"feed": "<string>",
"file_name": "<string>",
"id": "<string>",
"object": "<string>",
"rows": {
"created": 123,
"empty": 123,
"failed": 123,
"skipped": 123,
"succeeded": 123,
"total": 123
},
"source": "upload",
"status": "queued"
},
"name": "<string>",
"row": "account",
"source": {
"kind": "email",
"address": "<string>",
"attachment_filter": "<string>",
"bucket": "<string>",
"connection": "<string>",
"prefix": "<string>",
"region": "<string>",
"subject_filter": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}
]
}integrations
List file import feeds
The workspace’s file feeds (Periodic Data Import), by name: each one’s source (email or S3), whether it is on, what a row is, how many columns it maps, and the newest file it matched with that file’s status.
GET
/
v1
/
integrations
/
imports
/
feeds
List file import feeds
curl --request GET \
--url https://api.statisfy.com/v1/integrations/imports/feeds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.statisfy.com/v1/integrations/imports/feeds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.statisfy.com/v1/integrations/imports/feeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/integrations/imports/feeds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/integrations/imports/feeds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.statisfy.com/v1/integrations/imports/feeds")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/integrations/imports/feeds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"active": true,
"columns": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_import": {
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"feed": "<string>",
"file_name": "<string>",
"id": "<string>",
"object": "<string>",
"rows": {
"created": 123,
"empty": 123,
"failed": 123,
"skipped": 123,
"succeeded": 123,
"total": 123
},
"source": "upload",
"status": "queued"
},
"name": "<string>",
"row": "account",
"source": {
"kind": "email",
"address": "<string>",
"attachment_filter": "<string>",
"bucket": "<string>",
"connection": "<string>",
"prefix": "<string>",
"region": "<string>",
"subject_filter": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Was this page helpful?